# Gimp.Image.get_component_visible

    @accepts(Gimp.Image, Gimp.ChannelType)
    @returns(bool)
    def get_component_visible(self, component):
        # Python wrapper for gimp_image_get_component_visible()

Returns if the specified image's image component is visible.

This procedure returns if the specified image's image component (i.e. Red, Green, Blue intensity channels in an RGB image) is visible or invisible -- whether or not it can be seen. If the specified component is not valid for the image type, an error is returned.

self

  The image.

component

  The image component.

Returns